package com.ruoyi.project.system.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import com.ruoyi.framework.web.domain.TreeEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 装置管理对象 sys_plant
 *
 * @author ruoyi
 * @date 2021-06-23
 */
public class SysPlant extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long plantId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 删除标识 */
    private Long delFlag;

    /** 中文名称 */
    @Excel(name = "中文名称")
    private String cname;

    /** 组织机构代码 */
    @Excel(name = "组织机构代码")
    private String deptCode;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 类型 */
    @Excel(name = "类型")
    private Long pType;

    public void setPlantId(Long plantId)
    {
        this.plantId = plantId;
    }

    public Long getPlantId()
    {
        return plantId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCname(String cname)
    {
        this.cname = cname;
    }

    public String getCname()
    {
        return cname;
    }
    public void setDeptCode(String deptCode)
    {
        this.deptCode = deptCode;
    }

    public String getDeptCode()
    {
        return deptCode;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setpType(Long pType)
    {
        this.pType = pType;
    }

    public Long getpType()
    {
        return pType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("plantId", getPlantId())
            .append("parentId", getParentId())
            .append("name", getName())
            .append("orderNum", getOrderNum())
            .append("delFlag", getDelFlag())
            .append("cname", getCname())
            .append("deptCode", getDeptCode())
            .append("remarks", getRemarks())
            .append("pType", getpType())
            .toString();
    }
}
